function [f]=fxyz(x,y,z)
    Rho=28
    Sigma=10
    Beta=8/3
    f(1)=Sigma*(y-x)
    f(2)=x*(Rho-z)-y
    f(3)=x*y-Beta*z
endfunction


function [sol]=Lorenz(fxyz,a,b,y0,h)
  t(1)=a
  x(1,:)=y0
  N=int((b-a)/h)
  for i=1:N
    t(i+1)=a+i*h
    x(i+1,:)=x(i,:)+fxyz(x(i,1),x(i,2),x(i,3))'*h
  end
  sol=[t,x]
endfunction