function [x] = gauss(A,b)
  
  // Funcao para calcular um sistema de equacoes algebricas por meio
  // do metodo de eliminacao de Gauss
  // a: matriz de coeficientes
  // b: vetor-coluna de constantes
  M=[A,b];
  [nl nc] = size(M);
  for j=1:nl-1
    for i=j+1:nl
      m=M(i,j)/M(j,j);
      M(i,:) = M(i,:) - m*M(j,:);
    end
  end
  z = zeros(nl,1);
  z(nl) = M(nl,nc)/M(nl,nl);
  for i=nl-1:-1:1
    z(i) = (M(i,nc) - M(i,i+1:nl) * z(i+1:nl))/M(i,i);
  end
  x = z;
  
endfunction
