function [yin] = ilagrange(x,y,xin)
//ilagrange ajusta um polinômio de Lagrange a um conjunto de pontos dado
//e usa o polinomio para determinar o valor interpolado de um ponto.
//Variaveis de entrada:
//x Vetor coluna com as coordenadas x dos pontos dados
//y Vetor coluna com as coordenadas y dos pontos dados
//xin - A coordenada x do ponto a ser interpolado
//Variavel de saída:
//yin - O valor interpolado de xin
// O comprimento do vetor x fornece o número de termos do polinômio
n = length(x);
for i = 1:n,
    //Calcula os termos Li do produtório
    L(1,i) = 1;
        for j = 1:n,
        if j ~= i,
            L(1,i) = L(1,i) * (xin-x(j))/(x(i)-x(j));
        end
    end
  end
//Calcula o valor do polinômio da Eq. (16)
yin = L*y;
endfunction