function yin = inewton(x,y,xin)
  //inewton ajusta um polinomio de Newton a um dado conjunto de pontos e
  //usa esse polinômio para determinar o valor interpolado de um ponto.
  //Variaveis de entrada:
  //x Vetor  com as coordenadas x dos pontos dados
  //y Vetor com as coordenadas y dos pontos dados
  //xin Coordenada x do ponto a ser interpolado 
  //Variavel de saida:
  //yin o valor interpolado de xin.
  n = length(x); //Comprimento do vetor x fornece o número de coeficientes
  //(e termos) do polinômio
  a(1) = y(1); // Primeiro coeficiente a1
  for i = 1:n-1, //Calcula as diferenças divididas de ordem 1
    //Elas são armazenadas na 1a coluna de ddiv
    ddiv(i,1) = (y(i+1)-y(i))/(x(i+1)-x(i));
  end
  for j = 2:n-1, //Calcula as diferenças divididas de ordem 2 até (n-1)
    //Elas são armazenadas nas colunas de ddiv 
    for i = 1:n-j,
      ddiv(i,j) = (ddiv(i+1,j-1)-ddiv(i,j-1))/(x(i+j)-x(i));
    end
  end
  for j = 2:n, //Atribui os coeficientes a2  ao vetor a
    a(j) = ddiv(1,j-1);
  end
  //Calcula o valor interpolado de xin
  yin = a(1);
  xn=1;
  for k = 2:n,
    xn = xn*(xin-x(k-1));
    yin = yin+a(k)*xn;
  end
endfunction