function  [y] = newton(x0,N,erro )
    function [f]=phi(x0)
        f =  x0 - (4*cos(x0)-exp(x0)) / (-4*sin(x0)-exp(x0))
    endfunction
    function [df]=dphi (x0)
        df= (4*cos(x0)-exp(x0))^2/(4*sin(x0)+exp(x0))^2  
    endfunction
    if (abs(dphi(x0) ) >=1) then
        disp('Sequencia nao e convergente.') 
        break  
    else 
        for i=1:N 
            y= phi(x0)
            epsilon=abs( (y-x0)/y )
            if (epsilon < erro) then
                printf('Erro relativo maximo atingido %4.25f, resultado %4.25f, num de iteracoes %4d\n\n',epsilon,y,i)
                abort
            end
            x0=y
        end
        printf('Numero maximo de iteracoes atingido, resultado %4.20f, erro %4.20f, num de iteracoes %4d\n\n',y,epsilon,i)
    end

endfunction