function [x] = pivgauss(A,b)
  
  // Funcao para calcular um sistema de equacoes algebricas por meio
  // do metodo de eliminacao de Gauss com pivotamento
  // a: matriz de coeficientes
  // b: vetor-coluna de constantes
  if det(A)==0
    halt ('Matriz de coeficientes é singular!')
  else  
    M=[A,b];
    [nl nc] = size(M);
    for j=1:nl-1
      if M(j,j)~=0 //testa se o candidato a pivo eh nulo
        for i=j+1:nl
          m=M(i,j)/M(j,j)
          M(i,:) = M(i,:) - m*M(j,:)
        end
      else 
        for k=j+1:nl  //procura primeiro elemento nao nulo na coluna j
          if M(k,j)~=0  // e permuta linhas correspondentes
            temp=M(j,:)
            M(j,:)=M(k,:)
            M(k,:)=temp
            break
          end
        end
        for i=j+1:nl
          m=M(i,j)/M(j,j)
          M(i,:) = M(i,:) - m*M(j,:)
        end
      end
    end
    
    z = zeros(nl,1);
    z(nl) = M(nl,nc)/M(nl,nl);
    for i=nl-1:-1:1
      z(i) = (M(i,nc) - M(i,i+1:nl) * z(i+1:nl))/M(i,i);
    end
    x = z
  end
endfunction