function [a1, a0] = rlinear(x,y)
  //rlinear calcula os coeficientes a1 e a0 da equação linear
  //y = a1*x+a0 que melhor se ajusta aos n pontos do conjunto de dados.
  //variaveis de entrada:
  //x - Vetor com as coordenadas x dos pontos
  //y - vetor com as coordenadas y dos pontos
  //variaveis de saida:
  //a1 - Coeficiente a1.
  //a0 - Coeficiente a0.
  nx = length(x);
  ny = length(y);
  //verifica se os vetores x e y tem mesmo num. de elementos
  //Se não o Scilab exibe mensagem de erro
  if nx ~= ny
    disp('ERRO: O número de elementos em x deve ser o mesmo que em y');
    a1 = 'Erro';
    a2 = 'Erro';
    //Calcula os termos com as somas da Eq. (6)
  else
    Sx = sum(x);
    Sy = sum(y);
    Sxy = x*y';
    Sxx = x*x';
    //Calcula os coeficientes como na Eq. (7)
    a1 = (nx*Sxy-Sx*Sy)/(nx*Sxx-Sx^2);
    a0 = (Sxx*Sy-Sxy*Sx)/(nx*Sxx-Sx^2);
  end
endfunction