// constante GM em a.u.
GM=4*%pi^2
//r^-3
function [r3]=R(a,b,c)
    r3=(a^2+b^2+c^2)^(-3/2)
endfunction

// as seis funções f(x1,x2,x3,x4,x6,x6) da EDO
function [xlinha]=fvec(x)
    xlinha(1)=x(2)
    xlinha(2)=-GM*R(x(1),x(3),x(5))*x(1)
    xlinha(3)=x(4)
    xlinha(4)=-GM*R(x(1),x(3),x(5))*x(3)
    xlinha(5)=x(6)
    xlinha(6)=-GM*R(x(1),x(3),x(5))*x(5)
endfunction


// Subrotina RUNGE4 executa Runge-Kutta de 4a ordem para  a EDO
// dxi/dt = fi(x1,x2,x3,x4,x5,x6,t). 
function [xnplus1]=RUNGE4(xn,h,f)
    k1=f(xn)'
    k2=f(xn+h*k1/2)'
    k3=f(xn+h*k2/2)'
    k4=f(xn+h*k3)'
    xnplus1=xn+h*(k1+2*(k2+k3)+k4)/6
endfunction


//plota orbita com base na condicao inicial x0
function orbitaplot(x0,h,N)
    x(1,:)=x0
    for i=2:N
        x(i,:)=RUNGE4(x(i-1,:),h,fvec)
    end
//    x1=x(:,1)'
//    x3=x(:,3)'
//    x5=x(:,5)'
//    i=1:N
//    param3d(x1(i),x3(i),x5(i))
      plot(x(:,1),x(:,3),'*',[-1 1],[0 0],[0 0],[-1 1])
      a=gca(); // Handle on axes entity
//      a.x_location = "origin"; 
//      a.y_location = "origin"; 
      square()
endfunction